Subject: Re: [bitcoin-dev] Taproot NACK

From: [email-masked]
Date: Wed, 3 Mar 2021 13:30:53 -0300

Dear LORD HIS EXCELLENCY JAMES HRMH (& HMRH), a.k.a. "The Australian",

This discussion list is serious stuff, please stop making noise.
Fungibility is a desirable property, anyway.

Thank you!

On Wed, Mar 3, 2021 at 12:04 PM Eric Voskuil via bitcoin-dev <
[email-masked]> wrote:

> > consensus requires the ledger to be honest does not prove that it is
> honest.
>
>
>
> Actually, that’s exactly what it does. A logical/mathematical requirement
> (necessity) is also called a proof.
>
>
>
> e
>
>
>
> *From:* bitcoin-dev <[email-masked]> *On
> Behalf Of *LORD HIS EXCELLENCY JAMES HRMH via bitcoin-dev
> *Sent:* Tuesday, March 2, 2021 7:06 PM
> *To:* M.K. Safi via bitcoin-dev <[email-masked]>;
> Daniel Edgecumbe <[email-masked]>
> *Subject:* Re: [bitcoin-dev] Taproot NACK
>
>
>
> "Today I spent approximately $5 at a chip shop in North London in cash.
> Besides the fact that I have voluntarily chosen to share this information,
> it is absolutely no concern of yourself or any other party that this
> transaction has occured."
>
>
>
> Good Afternoon,
>
>
>
> Requiring little argument I concur, privacy allows that you do not have
> snoops and researchers following you around looking in your purse as you
> transact. For the general public, how much you carry in your purse and
> where you get it from is none of their business. However, your employer is
> required to report to the government a record of pay, or at least maintain
> that record, and the store where you made a purchase similarly to keep
> records so that taxes can be paid. From their perspective, you do not need
> to know how much they keep in their drawer. Bitcoin directly allows your
> purse to be private and for the transaction ledger to take the scrutiny
> anyone should be able to apply to prove the ledger is honest. Maintaining
> an argument that consensus requires the ledger to be honest does not prove
> that it is honest.
>
>
>
> KING JAMES HRMH
>
> Great British Empire
>
>
>
> Regards,
>
> The Australian
>
> LORD HIS EXCELLENCY JAMES HRMH (& HMRH)
>
> of Hougun Manor & Glencoe & British Empire
>
> MR. Damian A. James Williamson
>
> Wills
>
>
>
> et al.
>
>
>
>
>
> Willtech
>
> www.willtech.com.au
>
> www.go-overt.com
>
> and other projects
>
>
>
> earn.com/willtech
>
> linkedin.com/in/damianwilliamson
>
>
>
>
>
> m. 0487135719
>
> f. +61261470192
>
>
>
>
>
> This email does not constitute a general advice. Please disregard this
> email if misdelivered.
> ------------------------------
>
> *From:* bitcoin-dev <[email-masked]> on
> behalf of Daniel Edgecumbe via bitcoin-dev <
> [email-masked]>
> *Sent:* Tuesday, 2 March 2021 12:16 PM
> *To:* M.K. Safi via bitcoin-dev <[email-masked]>
> *Subject:* Re: [bitcoin-dev] Taproot NACK
>
>
>
> Any "transparency" in the blockchain, beyond that required for a
> participant to determine valid ownership, can only reasonably be thought of
> as a bug.
>
> Today I spent approximately $5 at a chip shop in North London in cash.
> Besides the fact that I have voluntarily chosen to share this information,
> it is absolutely no concern of yourself or any other party that this
> transaction has occured.
>
> Bitcoin is digital cash.
>
> Daniel Edgecumbe | esotericnonsense
> [email-masked] | https://esotericnonsense.com
>
> On Mon, Mar 1, 2021, at 22:37, Eric Voskuil via bitcoin-dev wrote:
> > To be clear, is this a NACK because Taproot reduces “transparency”
> > (increases privacy) on the chain (“maintaining consensus” is obviously
> > an argument against any protocol change, so that’s a red herring)?
> >
> > And is it your theory that only an “honest” (statute abiding) person
> > should have privacy, and not against the state, and/or that mixers are
> > sufficient privacy?
> >
> > Personally, I’m not moved by such an argument. What do you think is the
> > value proposition of Bitcoin?
> >
> > e
> >
> > > On Mar 1, 2021, at 14:21, LORD HIS EXCELLENCY JAMES HRMH via
> bitcoin-dev <[email-masked]> wrote:
> > >
> > > 
> > > Good Afternoon,
> > >
> > > I am going to take tough terms with much of your reply and do
> appreciate a courteous practice. Having previously made public disclosure
> of my affiliation with Jambler.io it seems sufficient to disclose my
> affiliation through the link in my email signature block.
> > >
> > > My concern is not increased privacy it is maintaining consensus values
> and the transparency of the blockchain wherein all transactions are
> published in an immutable record and that forbids the redaction of
> information by any obfuscation. A separate concern is the availability of a
> privacy suitable for cash should a Bitcoin user desire and especially
> without disturbing the existing consensus.
> > >
> > > The use of a Bitcoin Mixer is to enable standard equivalent privacy.
> As you may experience yourself, you do not allow people to follow you
> around looking in your purse, suppose you are dealing entirely with cash,
> and to see where and how much you fill it up, and where you spend.
> Nonetheless, for an honest person, their wallet is available for government
> audit as are their financial affairs. This is consistent with the existing
> operation of consensus.
> > >
> > > My full email signature block is a disclosure where I have some
> affiliation with the referenced website being that it carries at least some
> information that I have provided or that in some way I am associated
> perhaps only making use of their services. For example, I hardly make a
> profit from LinkedIn just my information is there. Also, I have made
> previous public disclosure of the affiliation. Bitcoin Mixer 2.0 is a
> partner mixer run by Jambler.io wherein I receive a service referral fee
> and am not in receipt of any part of the process transaction. The operation
> block diagram provided by Jambler.io is provided here and attached.
> > >
> > > -Operation of Jambler.io partner mixer
> > >
> https://ip.bitcointalk.org/?u=https%3A%2F%2Fjambler.io%2Fimages%2Fscheme-1.png&t=622&c=gTi7r1cfh-yynw
> > > from this thread  https://bitcointalk.org/index.php?topic=5267588
> > >
> > >
> > > The installation script provided by Jambler.io that is the basis of my
> referral website is also publicly published,
> > > https://github.com/jambler-io/bitcoin-mixer
> > >
> > > The disclosure for the partner program is available from Jambler.io
> however and is made prominently on my referral website. While it may seem
> lucrative at first I insist all partner profits are reportable on your
> personal income.
> > > https://jambler.io/become-partner.php
> > >
> > > I am certainly better than confident that you appreciate the
> difference between an open and transparent blockchain and the ability of
> the user to not reveal details of the content of their wallet publicly.
> > >
> > > If further clarification is required may I suggest you pay a token and
> mix some Bitcoin wherein our discussion may then have some point of
> reference.
> > >
> > > KING JAMES HRMH
> > > Great British Empire
> > >
> > > Regards,
> > > The Australian
> > > LORD HIS EXCELLENCY JAMES HRMH (& HMRH)
> > > of Hougun Manor & Glencoe & British Empire
> > > MR. Damian A. James Williamson
> > > Wills
> > >
> > > et al.
> > >
> > >
> > > Willtech
> > > www.willtech.com.au
> > > www.go-overt.com
> > > and other projects
> > >
> > > earn.com/willtech
> > > linkedin.com/in/damianwilliamson
> > >
> > >
> > > m. 0487135719
> > > f. +61261470192
> > >
> > >
> > > This email does not constitute a general advice. Please disregard this
> email if misdelivered.
> > > *From:* Ariel Lorenzo-Luaces <[email-masked]>
> > > *Sent:* Monday, 1 March 2021 12:07 AM
> > > *To:* LORD HIS EXCELLENCY JAMES HRMH <[email-masked]>; Bitcoin
> Protocol Discussion <[email-masked]>
> > > *Subject:* Re: [bitcoin-dev] Taproot NACK
> > >
> > > Hello LORD HIS EXCELLENCY JAMES HRMH
> > >
> > > I find a striking dichotomy between your concern of increased privacy
> in bitcoin and your link to a bitcoin mixer in your signature
> www.go-overt.com
> > >
> > > At first your concerns seemed genuine but after seeing your promotion
> of a bitcoin mixer I'm thinking your concerns may be more profit motivated?
> I can't tell since you failed to disclose your relationship with the mixer.
> > >
> > > Could you please clarify your association with the bitcoin mixer and
> moving forward could you please always do proper disclosure any time you're
> publically talking about bitcoin transaction privacy. It's only fair to do
> so as to not mislead people in an attempt to manipulate at worst and just a
> courteous practice at best.
> > >
> > > Cheers
> > > Ariel Lorenzo-Luaces
> > > On Feb 28, 2021, at 4:36 AM, LORD HIS EXCELLENCY JAMES HRMH via
> bitcoin-dev <[email-masked]> wrote:
> > >> Good Evening,
> > >>
> > >> Thank-you for your advice   @JeremyRubin <
> https://twitter.com/JeremyRubin>  on the basis you advise, "Taproot does
> not enable monero-like privacy features", I am prepred to withdraw my NACK
> notably that the existing feeatures of Bitcoin MUST be maintained, and
> whereby the UTXO of a transaction is identifiable, the PayTo Address, and
> the amount all without any obfuscation.
> > >>
> > >> Lightning does not really provide obfuscation, it provides a result
> of a subset of transactions although the operation of the channel is
> observable to the parties.
> > >>
> > >> The reports I were reading concerning the supposed operation of
> Taproot published in a public media channel may have been speculation or
> misinformation nonetheless it is prudent to conditionally reply as you see
> that I have. It is important not to allow things to slip through the
> cracks. As you may believe may astute reviewers could make a full
> disclosure to this list it is not to be expected.
> > >>
> > >> KING JAMES HRMH
> > >> Great British Empire
> > >>
> > >> Regards,
> > >> The Australian
> > >> LORD HIS EXCELLENCY JAMES HRMH (& HMRH)
> > >> of Hougun Manor & Glencoe & British Empire
> > >> MR. Damian A. James Williamson
> > >> Wills
> > >>
> > >> et al.
> > >>
> > >>
> > >> Willtech
> > >> www.willtech.com.au
> > >> www.go-overt.com
> > >> and other projects
> > >>
> > >> earn.com/willtech
> > >> linkedin.com/in/damianwilliamson
> > >>
> > >>
> > >> m. 0487135719
> > >> f. +61261470192
> > >>
> > >>
> > >> This email does not constitute a general advice. Please disregard
> this email if misdelivered.
> > >> *From:* Jeremy <[email-masked]>
> > >> *Sent:* Sunday, 28 February 2021 3:14 AM
> > >> *To:* LORD HIS EXCELLENCY JAMES HRMH <[email-masked]>; Bitcoin
> Protocol Discussion <[email-masked]>
> > >> *Subject:* Re: [bitcoin-dev] Taproot NACK
> > >>
> > >> I have good news for you: Taproot does not enable monero-like privacy
> features any moreso than already exist in Bitcoin today. At its core,
> taproot is a way to make transactions with embedded smart contracts less
> expensive, done so in a manner that may marginally improve privacy
> dependent on user behavior (but not in the monero-like way you mention).
> For example, it makes it possible for lightning channels to look
> structurally similar to single key wallets, but it does nothing inherently
> to obfuscate the transaction graph as in monero.
> > >>
> > >> Such "monero-like" transaction graph obfuscation may already exist in
> Bitcoin via other techniques (coinjoin, payjoin, coinswap, lightning, etc)
> with or without Taproot, so the point is further moot.
> > >>
> > >> Do you have a source on your reporting?
> > >>
> > >> You may wish to rescind your nack.
> > >>
> > >>
> > >> --
> > >> @JeremyRubin <https://twitter.com/JeremyRubin>  <
> https://twitter.com/JeremyRubin>
> > >>
> > >>
> > >> On Sat, Feb 27, 2021 at 5:46 AM LORD HIS EXCELLENCY JAMES HRMH via
> bitcoin-dev < [email-masked]> wrote:
> > >>> Good Afternoon,
> > >>>
> > >>> It has been reported that Taproot will enable some Monero like
> features including the ability to hide transactions.
> > >>>
> > >>> If that is the case I offer a full NACK and let me explain.
> > >>>
> > >>> A part of the benefit of using Bitcoin is its honesty. The full
> transaction is published on the blockchain. If that were to change so that
> transactions may be obfuscated from scrutiny then any government would have
> unlimited impetus to ban Bitcoin, and speculation has that is the reason
> India has been reported to have banned cryptocurrencies already.
> > >>>
> > >>> I am in support of the expanded use case of Bitcoin without harming
> the established robust fairness and equal equity offered. The core
> functionality of Bitcoin, its values, must remain unaltered.
> > >>>
> > >>> KING JAMES HRMH
> > >>> Great British Empire
> > >>>
> > >>> Regards,
> > >>> The Australian
> > >>> LORD HIS EXCELLENCY JAMES HRMH (& HMRH)
> > >>> of Hougun Manor & Glencoe & British Empire
> > >>> MR. Damian A. James Williamson
> > >>> Wills
> > >>>
> > >>> et al.
> > >>>
> > >>>
> > >>> Willtech
> > >>> www.willtech.com.au
> > >>> www.go-overt.com
> > >>> and other projects
> > >>>
> > >>> earn.com/willtech
> > >>> linkedin.com/in/damianwilliamson
> > >>>
> > >>>
> > >>> m. 0487135719
> > >>> f. +61261470192
> > >>>
> > >>>
> > >>> This email does not constitute a general advice. Please disregard
> this email if misdelivered.
> > >>> _______________________________________________
> > >>> bitcoin-dev mailing list
> > >>> [email-masked]
> > >>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> > >>
> > >> bitcoin-dev mailing list
> > >> [email-masked]
> > >> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> > > _______________________________________________
> > > bitcoin-dev mailing list
> > > [email-masked]
> > > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> > _______________________________________________
> > bitcoin-dev mailing list
> > [email-masked]
> > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> >
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>